All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::UdpSender Class Reference

`#include <udpSender.hpp>`

## Public Member Functions

| UdpSender (const std::string &udpHost, const std::string &udpPort)
virtual | ~UdpSender ()
void | sendJointAngles (const double *const adamPosePtr, const int adamPoseRows, const double *const adamTranslationPtr, const double *const adamFaceCoeffsExpPtr, const int faceCoeffRows)

## Constructor & Destructor Documentation

op::UdpSender::UdpSender | ( | const std::string & | udpHost,
|  | const std::string & | udpPort
| ) |  |

virtual op::UdpSender::~UdpSender | ( |  | ) |

virtual

## Member Function Documentation

void op::UdpSender::sendJointAngles | ( | const double *const | adamPosePtr,
|  | const int | adamPoseRows,
|  | const double *const | adamTranslationPtr,
|  | const double *const | adamFaceCoeffsExpPtr,
|  | const int | faceCoeffRows
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/udpSender.hpp